{% extends 'base.html.twig' %}

{% block title %}Employee index{% endblock %}

{% block body %}
    <h1>Employee index</h1>
    <a href="{{ path('employee_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Address</th>
                <th>Gender</th>
                <th>Designation</th>
                <th>Age</th>
                <th>Image</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for employee in employees %}
            <tr>
                <td>{{ employee.id }}</td>
                <td>{{ employee.name }}</td>
                <td>{{ employee.address }}</td>
                <td>{{ employee.gender }}</td>
                <td>{{ employee.designation }}</td>
                <td>{{ employee.age }}</td>
                <td>{{ employee.image }}</td>
                <td>
                {# 
                    <a href="{{ path('employee_show', {'id': employee.id}) }}">show</a>
                    <a href="{{ path('employee_edit', {'id': employee.id}) }}">edit</a>
                #}
                <a class="btn btn-small btn-primary"
                       data-toggle="modal"
                       data-target="#exampleModal"
                       data-whatever="{{ employee.id }}">Edit</a>
                    
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

   <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="memberModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title" id="memberModalLabel">Edit Member Detail</h4>
                </div>
                <div class="dash">
                <!-- Content goes in here -->
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
{{ parent() }}
<script>
    $('#exampleModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        var recipient = button.data('whatever') // Extract info from data-* attributes
        var modal = $(this);
        var dataString = 'id=' + recipient;
        var chemin = '/employee/editer/'+recipient ;
        // var chemin = "{{path('employee_editer', {'id': "+recipient+"} )}}";;
            $.ajax({
                type: "GET", 
                url: chemin,
                data: dataString,
                cache: false,
                success: function (data) {
                    console.log(data);
                    modal.find('.dash').html(data);
                },
                error: function(err) {
                    console.log(err);
                }
            });  
    })
</script>
{% endblock %}